Ver Fonte

Make bash scripts exit on error rather than continue (#23467)

Michael Telatynski há 3 anos atrás
pai
commit
341b0b469e

+ 1 - 1
scripts/fetch-develop.deps.sh

@@ -6,7 +6,7 @@
 # the branch the current checkout is on, use that branch. Otherwise,
 # use develop.
 
-set -ex
+set -x
 
 GIT_CLONE_ARGS=("$@")
 [ -z "$defbranch" ] && defbranch="develop"

+ 2 - 0
scripts/genflags.sh

@@ -25,6 +25,8 @@
 # all phonenumber.js-supported country flags (as SVGs) into
 # PNGs that can be used by CountryDropdown.js.
 
+set -e
+
 # Allow CTRL+C to terminate the script
 trap "echo Exited!; exit;" SIGINT SIGTERM
 

+ 2 - 0
scripts/get-version-from-git.sh

@@ -3,6 +3,8 @@
 # Echoes a version based on the git hashes of the element-web, react-sdk & js-sdk checkouts, for the case where
 # these dependencies are git checkouts.
 
+set -e
+
 # Since the deps are fetched from git, we can rev-parse
 REACT_SHA=$(git -C node_modules/matrix-react-sdk rev-parse --short=12 HEAD)
 JSSDK_SHA=$(git -C node_modules/matrix-js-sdk rev-parse --short=12 HEAD)

+ 1 - 1
scripts/layered.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -x
+set -ex
 
 # Creates a layered environment with the full repo for the app and SDKs cloned
 # and linked. This gives an element-web dev environment ready to build with

+ 1 - 2
scripts/make-icons.sh

@@ -12,8 +12,7 @@ then
     exit
 fi
 
-set -e
-set -x
+set -ex
 
 tmpdir=`mktemp -d 2>/dev/null || mktemp -d -t 'icontmp'`
 

+ 2 - 0
scripts/normalize-version.sh

@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 # If $1 looks like v1.2.3 or v1.2.3-foo, strip the leading v, then print it to stdout
 if [[ $1 =~ ^v[[:digit:]]+\.[[:digit:]]+\.[[:digit:]]+(-.+)?$ ]]; then
     echo ${1:1}